import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class Main {

  public static void main(String[] args) throws Exception {
    ConfigurableListableBeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource(
        "context.xml"));
    DisposableBeanNumberClass numberClass = (DisposableBeanNumberClass) beanFactory
        .getBean("numberClass");
    beanFactory.destroySingletons();
    System.out.println(numberClass.getNumbers());
  }
}

class DisposableBeanNumberClass implements DisposableBean {
  private List<String> numbers = new ArrayList<String>();

  public DisposableBeanNumberClass() {
    this.numbers.add("one");
    this.numbers.add("two");
    this.numbers.add("three");
  }

  public List<String> getNumbers() {
    return this.numbers;
  }

  public void destroy() throws Exception {
    this.numbers = null;
  }
}
